using Microsoft.Xna.Framework.Input;
using Nez;

namespace Lighthouse
{
    public static class VirtualInput
    {
        public static VirtualButton Up;
        public static VirtualButton Down;
        public static VirtualButton Left;
        public static VirtualButton Right;
        public static VirtualButton Start;
        public static VirtualButton Action;
        public static VirtualButton LookUp;

        public static void Initialize()
        {
            Up = new VirtualButton();
            Down = new VirtualButton();
            Left = new VirtualButton();
            Right = new VirtualButton();
            Start = new VirtualButton();
            Action = new VirtualButton();
            LookUp = new VirtualButton();
            Up.AddKeyboardKey(Keys.Up).AddKeyboardKey(Keys.W);
            Down.AddKeyboardKey(Keys.Down).AddKeyboardKey(Keys.S);
            Left.AddKeyboardKey(Keys.Left).AddKeyboardKey(Keys.A);
            Right.AddKeyboardKey(Keys.Right).AddKeyboardKey(Keys.D);
            Start.AddKeyboardKey(Keys.Enter);
            Action.AddKeyboardKey(Keys.Space);
            LookUp.AddKeyboardKey(Keys.LeftShift);
        }
    }
}